Summary: A SPARC32 compilation environment.
Name: sparc32
Version: 1.1
Release: 8
License: GPL
Group: System Environment/Kernel
Source: sparc32-1.1.tgz
Patch0: sparc32-1.1-fhs.patch
Patch1: sparc32-1.1-include.patch
Patch2: sparc32-1.1-sparc32bash.patch
ExclusiveOS: Linux
ExclusiveArch: sparc sparc64
BuildRoot: %{_tmppath}/%{name}-root
Requires: /bin/bash

%description
Sparc32 is a simple utility for compiling SPARC32 packages on SPARC64
machines. Sparc32 creates an environment for the specified program
(shell) and all child processes. In the created environment, uname -m
returns sparc, so one can create 32 bit SPARC programs.

Install sparc32 if you need to compile SPARC32 packages on a SPARC64.

%prep
%setup -q
%patch0 -p1 -b .fhs
%patch1 -p1 -b .include
%patch2 -p1 -b .sparc32bash

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}

make install prefix=${RPM_BUILD_ROOT}%{_prefix} mandir=${RPM_BUILD_ROOT}/%{_mandir}
strip ${RPM_BUILD_ROOT}%{_bindir}/*

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Wed Jan 26 2005 Tom "spot" Callaway <tcallawa@redhat.com>
- Rebuilt

* Fri Apr  2 2004 Tom "spot" Callaway <tcallawa@redhat.com>
- Rebuilt

* Sun Nov 17 2002 Peter Jones <pjones@redhat.com>
- add sparc32bash

* Mon Apr 22 2002 Jakub Jelinek <jakub@redhat.com>
- fix includes

* Fri Nov 16 2001 Jakub Jelinek <jakub@redhat.com>
- rebuilt for 7.x

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Feb 22 2000 Bill Nottingham <notting@redhat.com>
- rebuild to catch compressed manpages

* Fri Sep 24 1999 Jakub Jelinek <jakub@redhat.com>
- add sparc64 command

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
